body {
    background-color: #F2F2F7;
}

h1 {
    text-shadow: none !important;
}

/* --- ESTILOS DE LA CALCULADORA --- */

.form-control {
    height: 50px;
    border-radius: 8px;
    font-size: 14px;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.form-control:focus {
    background-color: #fff !important;
    box-shadow: 0 0 0 2px var(--colorAzul);
}

.input-group-text {
    background-color: #f8f9fa;
    border-radius: 8px 0 0 8px;
}

.font-montserrat {
    font-family: 'Montserrat', sans-serif;
}

.btnPrimario.btn-block {
    width: 100%;
    font-size: 16px;
    letter-spacing: 1px;
}

.resumen-total {
    background: rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px
}

.display-4 {
    font-size: 2.5rem;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

/* Responsividad */
@media (max-width: 768px) {
    .display-4 {
        font-size: 2.5rem;
    }

    .card {
        margin-left: 10px;
        margin-right: 10px;
    }

    .btnPrimario.btn-block {
        font-size: 14px;
        padding: 12px 10px;
    }
}